python3-django-compat_1.0.15-2_all.deb


Advertisement

Description

python3-django-compat - Forward and backwards compatibility layer for Django 1.4.x to 1.9.x

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename python3-django-compat_1.0.15-2_all.deb
Package name python3-django-compat
Package version 1.0.15
Package release 2
Package architecture all
Package type deb
Category implemented-in::python python role::shared-lib
Homepage https://github.com/arteria/django-compat
License -
Maintainer Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
Download size 18.78 KB
Installed size 116.00 KB
This module provides a backwards compatibility layer for Django versions which
helps in the following:
1. Be able to use the LTS versions of Django and support newer versions in
your app
2. Use features from newer Django versions in an old one
3. Manage and master the gap between different framework versions

Alternatives

Package Version Architecture Repository
python3-django-compat_1.0.15-2_all.deb 1.0.15 all Debian Main
python3-django-compat - - -

Requires

Name Value
python3-django -
python3-six >= 1.10.0
python3:any >= 3.3.2-2~

Download

Type URL
Mirror ftp.br.debian.org
Binary Package python3-django-compat_1.0.15-2_all.deb
Source Package django-compat

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python3-django-compat deb package:
    # sudo apt-get install python3-django-compat

Files

Path
/usr/lib/python3/dist-packages/compat/__init__.py
/usr/lib/python3/dist-packages/compat/json_response.py
/usr/lib/python3/dist-packages/compat/models.py
/usr/lib/python3/dist-packages/compat/shortcuts.py
/usr/lib/python3/dist-packages/compat/docs/__init__.py
/usr/lib/python3/dist-packages/compat/docs/compatibility.py
/usr/lib/python3/dist-packages/compat/templatetags/__init__.py
/usr/lib/python3/dist-packages/compat/templatetags/compat.py
/usr/lib/python3/dist-packages/compat/tests/__init__.py
/usr/lib/python3/dist-packages/compat/tests/settings.py
/usr/lib/python3/dist-packages/compat/tests/south_settings.py
/usr/lib/python3/dist-packages/compat/tests/test_compat.py
/usr/lib/python3/dist-packages/compat/tests/test_module_loading.py
/usr/lib/python3/dist-packages/compat/tests/urls.py
/usr/lib/python3/dist-packages/compat/tests/test_app/__init__.py
/usr/lib/python3/dist-packages/compat/tests/test_app/models.py
/usr/lib/python3/dist-packages/compat/tests/test_app/templatetags/__init__.py
/usr/lib/python3/dist-packages/compat/tests/test_app/templatetags/test_app_tags.py
/usr/lib/python3/dist-packages/compat/tests/utils_tests/__init__.py
/usr/lib/python3/dist-packages/compat/tests/utils_tests/test_no_submodule.py
/usr/lib/python3/dist-packages/compat/tests/utils_tests/not_installed/__init__.py
/usr/lib/python3/dist-packages/compat/tests/utils_tests/not_installed/models.py
/usr/lib/python3/dist-packages/compat/tests/utils_tests/test_module/__init__.py
/usr/lib/python3/dist-packages/compat/tests/utils_tests/test_module/another_bad_module.py
/usr/lib/python3/dist-packages/compat/tests/utils_tests/test_module/another_good_module.py
/usr/lib/python3/dist-packages/compat/tests/utils_tests/test_module/bad_module.py
/usr/lib/python3/dist-packages/compat/tests/utils_tests/test_module/good_module.py
/usr/lib/python3/dist-packages/django_compat-1.0.15.egg-info/PKG-INFO
/usr/lib/python3/dist-packages/django_compat-1.0.15.egg-info/dependency_links.txt
/usr/lib/python3/dist-packages/django_compat-1.0.15.egg-info/requires.txt
/usr/lib/python3/dist-packages/django_compat-1.0.15.egg-info/top_level.txt
/usr/share/doc/python3-django-compat/changelog.Debian.gz
/usr/share/doc/python3-django-compat/copyright

Changelog

2018-04-21 - Senthil Kumaran S (stylesen) <stylesen@gmail.com>
django-compat (1.0.15-2) unstable; urgency=medium
* Add a Debian patch to fix django dependency.
* Fix python3-django-compat: missing dependency on python3-django
(Closes: #896205)
* Fix python-django-compat: missing dependency on python-django
(Closes: #896337)
2018-02-23 - Senthil Kumaran S (stylesen) <stylesen@gmail.com>
django-compat (1.0.15-1) unstable; urgency=medium
* New upstream production release.
* Fix FTBFS with Django 1.11 (Closes: #865661)
* Fix Excessive build-depends complicate python3 transition (Closes: #866504)
2016-08-09 - Senthil Kumaran S (stylesen) <stylesen@gmail.com>
django-compat (1.0.13-1) unstable; urgency=medium
* New upstream production release.
* Fix FTBFS under Django 1.10 (Closes: #828645)
2016-06-21 - Senthil Kumaran S (stylesen) <stylesen@gmail.com>
django-compat (1.0.12-1) unstable; urgency=medium
* New upstream production release.
2016-03-21 - Senthil Kumaran S (stylesen) <stylesen@gmail.com>
django-compat (1.0.10-1) unstable; urgency=medium
* New upstream production release.
* Package for python3.
* Remove Debian patch, which is fixed upstream.
2016-03-20 - Senthil Kumaran S (stylesen) <stylesen@gmail.com>
django-compat (1.0.9-1) unstable; urgency=medium
* New upstream production release.
* Debian patch to fix open function compatibility.
* Remove specific version dependency on python-six.
2016-01-28 - Senthil Kumaran S (stylesen) <stylesen@gmail.com>
django-compat (1.0.8-3) unstable; urgency=medium
* Add python-django-nose as build dependency. (Closes: #812442)
2015-12-14 - Senthil Kumaran S (stylesen) <stylesen@gmail.com>
django-compat (1.0.8-2) unstable; urgency=medium
* Fix description formatting as per debian-policy (Closes: #807916)
2015-12-08 - Senthil Kumaran S (stylesen) <stylesen@gmail.com>
django-compat (1.0.8-1) unstable; urgency=medium
* New upstream production release.
* Supports django 1.9.x. (Closes: #807097)
2015-08-30 - Senthil Kumaran S (stylesen) <stylesen@gmail.com>
django-compat (1.0.7-2) unstable; urgency=medium
* Add Neil Williams (codehelp) as an uploader.
* Add python-six as test dependency.
* Add python-six as build dependency. (Closes: #797231)

See Also

Package Description
python3-django-compressor_2.2-4_all.deb Compresses linked, inline JS or CSS into single cached files - Python 3.x
python3-django-contact-form_1.4.2-2_all.deb extensible contact-form application for Django (Python 3)
python3-django-cors-headers_2.2.0-1_all.deb Django application for handling CORS
python3-django-countries_5.3.2-1_all.deb provides a country field for Django models (Python3 version)
python3-django-crispy-forms_1.7.2-1_all.deb app for Django providing elegant form rendering (Python3 version)
python3-django-csp_3.5-1_all.deb Content Security Policy for Django (Python3 version)
python3-django-dbconn-retry_0.1.5-1_all.deb reconnect on a failed database (Python3 version)
python3-django-dirtyfields_1.3.1-1_all.deb package for tracking dirty fields on a Django model instance (Python 3)
python3-django-downloadview_1.9-1_all.deb efficient static file serving with Django (Python3 version)
python3-django-environ_0.4.4-1_all.deb Simplified environment variables for Django
python3-django-etcd-settings_0.1.13+dfsg-2_all.deb config manager for Django apps based on ETCD (Python3 version)
python3-django-extensions_2.1.4-1_all.deb Useful extensions for Django projects (Python 3 version)
python3-django-extra-views_0.12.0-1_all.deb Complementary class-based generic views for Django (Python3 version)
python3-django-filters_1.1.0-1_all.deb filter Django QuerySets based on user selections (Python3 version)
python3-django-formtools_2.0-1_all.deb set of high-level abstractions for Django forms - Python 3.x
Advertisement
Advertisement